<div class="container">
  <ol class="breadcrumb">
    <li class="active">All Documents
    </li>
  </ol>
  <div class="page-header">
    <h1>All Documents <small>Guidelines Index</small></h1>
  </div>
  <br/>
  <!-- Filter and Minimize Button -->
  <div class="panel panel-default" id="filter">
    <div class="panel-heading clearfix">
      <h3 class="panel-title" style="display:inline">Filter Documents</h3>
      <span id="filters"></span>
    </div>
    <div id="slide" class="panel-body container" style="width:inherit">

    <!-- Filterrific Form Helper -->
      <%= form_for @filterrific, html: { id: 'filterrific-no-ajax-auto-submit' }  do |f| %>
      <div class="row">
        <div class="form-group col-xs-12 col-sm-6 col-md-6 col-lg-6">
          Title:
          <%= f.text_field(:with_title, class:"form-control", placeholder:"Guide Title")%>
        </div>
        <div class="form-group col-xs-12 col-sm-6 col-md-6 col-lg-6">
          Text:
          <%= f.text_field(:with_body, class:"form-control", placeholder:"Body Text")%>
        </div>
      </div>
      <!-- Filter Text Fields -->
      <div class="row">
        <div class="form-group col-xs-12 col-sm-3 col-md-3 col-lg-3">
          Investor:
          <%= f.text_field(:with_investor, class:"form-control", placeholder:"Investor Name")%>
        </div>
        <div class="form-group col-xs-12 col-sm-3 col-md-3 col-lg-3">
          Program:
          <%= f.text_field(:with_program, class:"form-control", placeholder:"Program Code")%>
        </div>
        <div class="form-group col-xs-12 col-sm-3 col-md-3 col-lg-3">
          Client:
          <%= f.text_field(:with_client, class:"form-control", placeholder:"Client Name")%>
        </div>
        <div class="form-group col-xs-12 col-sm-3 col-md-3 col-lg-3">
          Note Date:
          <%= f.text_field(:with_date, class:"form-control date", placeholder:"Note Date")%>
        </div>
      </div>
      <!-- Filter Check Boxes and Selectors -->
      <div class="row">
        <div class="form-group col-xs-12 col-sm-3 col-md-3 col-lg-3">
          Order:
          <%= f.select(:sorted_by, Guideline.options_for_sorted_by, class:"form-control")%>
        </div>
        <div>
          <div class="form-group col-xs-12 col-sm-3 col-md-3 col-lg-3">
            Status:
            <%= f.select(:pub_status, Guideline.options_for_pub_status, class:"form-control")%>
          </div>
          <div class="form-group col-xs-12 col-sm-3 col-md-3 col-lg-3">
            Show Sub-Sections:
            <%= f.check_box(:is_document)%>
          </div>
          <div class="col-xs-3 col-sm-3 col-md-3 col-lg-3">
            <span class="pull-right">
              <%= link_to "Reset Filter", guidelines_path, class:"btn btn-default" %>
              <button type="submit" class="btn btn-primary">Apply filter</button>
            </span>
          </div>
        </div>
      </div>
      <% end %>
    </div><!--panel body-->
  </div><!--filter-->

  <%= render :partial => 'list', :locals => {:docs => @docs} %>

  <div>
    <button class="btn btn-default back-to-top pull-right">Back To Top</button>
  </div>

  <div id="push"></div>
</div>
